portslave(8)

NAME
portslave - terminal server program.

SYNOPSIS
portslave [+config-file] port|-

DESCRIPTION
This manual page documents briefly the portslave, program.

This program is a getty replacement that will run it's own version of pppd, the user can specify their user-name via a login: prompt or PPP PAP negotiation.

After the username and password have been supplied the user will be authenticated by the RADIUS protocol.

OPTIONS
An optional first parameter is '+config-file' to specify an alternate config file. The default is /etc/portslave/pslave.conf .

The next parameter is either the port number or '-'. The value '-' means that portslave is to use it's controlling tty as the serial device and inspect the config file to find the RADIUS port number which matches that. This was originally written for telnetd support (telnetd puts a '-' as the first command line parameter) but can be used for other things.

To run over the telnet protocol put a config entry similar to the following in your inetd configuration:

telnet stream tcp nowait root /usr/sbin/tcpd /usr/sbin/in.telnetd -L /usr/sbin/portslave

Then in the pslave.conf file put a series of entries specifying every pseudo-tty device (either ptyp0, ptyp1, etc or pts/1, pts/2 etc depending on which type of device naming you use). For the RADIUS port numbers which are to be used for telnet connections you must specify the initchat as an empty string.

If you want to run portslave over a clean TCP connection (no telnet protocol) then put the following in your inetd configuration:

telnet stream tcp nowait root /usr/sbin/tcpd /usr/sbin/portslave -

AUTHOR
This man page was written by Russell Coker <russell@coker.com.au>. May be freely used and distributed without restriction.

SEE ALSO
pslave.conf(5), pppd(8), ctlportslave(1) http://doc.coker.com.au/projects/portslave/